---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Job Change Reasons
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10015_N10012_N10001"></a>URI

Collection of Job Change Reasons:

```
/jobChangeReasons
```

<a id="refsyn_N10027_N10012_N10001"></a>
Individual Job Change Reasons:

```
/jobChangeReasons/{id}
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to a job change reason. Example: Job change reason WID.</td></tr></tbody></table><br/>

## <a id="section_N10056_N10012_N10001"></a>Description

The Job Change Reasons resource represents job change reasons in Workday. You can only view the Job Change Reasons and information allowed by the security profile of the current user.

Job Change Reasons supports this method:

-   [GET Job Change Reasons](/wcp_docs/dan1370797990382.html#GET)


## <a id="GET"></a>GET Job Change Reasons

-   <b>Secured by:</b>

    Staffing Actions: Change Job Date and Reason



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

GET Job Change Reasons returns the job change reasons in Workday. You typically use this in conjunction with the Workers/Job Change resource to initiate job changes. Because the job change business process requires a reason, use this resource to return the job change reasons defined in your tenant.

## <a id="section_N100E8_N10012_N10001"></a>GET Job Change Reasons Examples

This GET request retrieves all the job change reasons available to the current user:

```
GET /jobChangeReasons
```

The response is a collection of job change reasons, in JSON format (only 1 job change reason in the response is shown):

```
{
   "total": 7,
   "data":    [
            {
         "descriptor": "Transfer > Transfer > Move to another Manager",
         "id": "b7187dceedb34c8db3a8e15adf02a620",
         "href": "https://{Workday REST API Endpoint}/jobChangeReasons/b7187dceedb34c8db3a8e15adf02a620",
         "managerReason": true,
         "isForEmployee": true,
         "isForContingentWorker": true
      },
     ...
   ]
}
```

This request retrieves information about the Transfer job change reason (id=b7187dceedb34c8db3a8e15adf02a620):

```
GET /jobChangeReason/b7187dceedb34c8db3a8e15adf02a620
```

The response body:

```
{
   "descriptor": "Transfer > Transfer > Move to another Manager",
   "id": "b7187dceedb34c8db3a8e15adf02a620",
   "href": "https://{Workday REST API Endpoint}/jobChangeReasons/b7187dceedb34c8db3a8e15adf02a620",
   "managerReason": true,
   "isForEmployee": true,
   "isForContingentWorker": true
}
       
```

### Related Information

[Reference: Workers/Job Changes](/wcp_docs/dan1370797990026.html)

